from modeller import *
from modeller.automodel import *
from modeller.parallel import *
from myloop import MyLoop
log.verbose()
env = environ()
env.io.atom_files_directory = ['.', '/home/ppasznik/workspaces/gpcr-model/gpcrd/data-src/atom_files/']

j = job()
j.append(local_slave()) 
j.append(local_slave()) 
j.append(local_slave()) 
j.append(local_slave()) 

a = MyLoop(env,
                  alnfile = '../align.ali',
                   knowns   = ['3ODU_A','4EJ4_A'],
                   sequence = 'targ',
        	   assess_methods=(assess.DOPE, assess.GA341),
        	   loop_assess_methods=(assess.DOPE, assess.GA341))
a.starting_model= 1
a.ending_model  = 10
a.loop.starting_model = 1
a.loop.ending_model   = 30
a.loop.md_level	      = refine.slow
a.use_parallel_job(j)
a.make()
